Bug 981997 - new nsd policy need to be able to read urand
new nsd policy need to be able to read urand
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 12:18 EDT by Michael Scherer
Modified: 2013-07-13 23:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-63.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-13 23:39:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Scherer 2013-07-07 12:18:41 EDT
Running nsd show several AVC, some about urand ( I will investigate the others later )

type=AVC msg=audit(1373206145.425:40): avc:  denied  { getattr } for  pid=520 comm="nsd" path="/dev/urandom" dev="devtmpfs" ino=4650 scontext=system_u:system_r:nsd_t:s0 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file

type=AVC msg=audit(1373206145.420:39): avc:  denied  { open } for  pid=520 comm="nsd" path="/dev/urandom" dev="devtmpfs" ino=4650 scontext=system_u:system_r:nsd_t:s0 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file

type=AVC msg=audit(1373206145.420:39): avc:  denied  { read } for  pid=520 comm="nsd" name="urandom" dev="devtmpfs" ino=4650 scontext=system_u:system_r:nsd_t:s0 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file
type=AVC msg=audit(1373206143.801:36): avc:  denied  { getattr } for  pid=474 comm="nsd-checkconf" path="/dev/urandom" dev="devtmpfs" ino=4650 scontext=system_u:system_r:nsd_t:s0 tcontext=system_u:object_r:urandom_device_t:s0 tclass=chr_file


I think a simple dev_read_urand(nsd_t) should be enough ?

( or nss_auth ? )
Comment 1 Daniel Walsh 2013-07-08 15:15:39 EDT
fd09aedb4fe49883e8a097bc32ebbaea149d3e57 fixes this in git.
Comment 2 Fedora Update System 2013-07-11 04:58:35 EDT
selinux-policy-3.12.1-63.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-63.fc19
Comment 3 Fedora Update System 2013-07-11 22:58:06 EDT
Package selinux-policy-3.12.1-63.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-63.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12762/selinux-policy-3.12.1-63.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-13 23:39:35 EDT
selinux-policy-3.12.1-63.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.